## PROFILER Control Profiling

Section: FreeMat Functions

### Usage

The `profile` function allows you to control the FreeMat profiler. It has two modes of operation. The first is to enable-disable the profiler. To turn on profiling:

      profiler on

to turn off profiling, use

      profiler off

Note that regardless of the state of the profiler, only functions and scripts are profiled. Commands entered on the command line are not profiled. To see information that has accumulated in a profile, you use the variant of the command:

      profiler list symbol1 symbol2 ...

where `symbol1`, `symbol2` are the functions or scripts on which profiling information is desired. If you want to see current profile status issue a `profile` command with no arguments.

       profiler